Bug 1575203 - Missing dependency in Fedora 28
Summary: Missing dependency in Fedora 28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: trickle
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1556510
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-05 05:19 UTC by Andrew Toskin
Modified: 2018-06-19 03:49 UTC (History)
6 users (show)

Fixed In Version: trickle-1.07-26.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-19 03:49:49 UTC
Type: Bug


Attachments (Terms of Use)
Workaround for build issue (1.18 KB, patch)
2018-05-16 04:54 UTC, Mamoru TASAKA
no flags Details | Diff

Description Andrew Toskin 2018-05-05 05:19:40 UTC
↪  sudo dnf install -y trickle
Last metadata expiration check: 1:43:39 ago on Fri 04 May 2018 08:28:43 PM PDT.
Error: 
 Problem: conflicting requests
  - nothing provides libevent-2.0.so.5()(64bit) needed by trickle-1.07-24.fc27.x86_64

<exit code 1>


Possibly related to Bug #1556510 ?

Comment 1 Andrew Toskin 2018-05-12 20:22:46 UTC
trickle is currently built requiring libevent-2.0.so.5()(64bit). But the libevent package instead currently provides "2.1.so.6()(64bit)". Perhaps the spec Requires tag you're using is unnecessarily specific? If you just required libevent in general, you wouldn't have to worry about bumping the trickle dependencies every time one of them updates.

Or is libevent 2.1 incompatible?

Comment 2 Mamoru TASAKA 2018-05-14 05:19:39 UTC
Needs rebuild against new libevent, however build fails currently.

Comment 3 Mamoru TASAKA 2018-05-15 14:07:44 UTC
I don't know trickle at all, however would you check if this works?

https://koji.fedoraproject.org/scratch/mtasaka/task_26955735/

Comment 4 Andrew Toskin 2018-05-16 01:56:03 UTC
https://koji.fedoraproject.org/scratch/mtasaka/task_26955735/trickle-1.07-25.fc28.bz1556510.x86_64.rpm
...installs without error on my desktop. And from my quick test, trickle seems to work as it should.

Comment 5 Mamoru TASAKA 2018-05-16 04:54:39 UTC
Created attachment 1437077 [details]
Workaround for build issue

(In reply to Andrew Toskin from comment #4)
> https://koji.fedoraproject.org/scratch/mtasaka/task_26955735/trickle-1.07-25.
> fc28.bz1556510.x86_64.rpm
> ...installs without error on my desktop. And from my quick test, trickle
> seems to work as it should.

Thank you. Quick workaround for build issue attached.

Comment 6 Mamoru TASAKA 2018-05-28 13:29:01 UTC
For now, I will take care of this.

Comment 7 Fedora Update System 2018-05-28 13:29:59 UTC
trickle-1.07-26.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ceef9c12fb

Comment 8 Fedora Update System 2018-05-28 15:50:09 UTC
trickle-1.07-26.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ceef9c12fb

Comment 9 Fedora Update System 2018-06-18 16:17:10 UTC
trickle-1.07-26.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Mamoru TASAKA 2018-06-19 03:49:49 UTC
Fixed.


Note You need to log in before you can comment on or make changes to this bug.